From 1a414bbd98fd1a7b6902fc5e7a46c22ea0844b1b Mon Sep 17 00:00:00 2001
From: David Christensen <david.christensen@crunchydata.com>
Date: Fri, 29 Sep 2023 15:05:00 -0400
Subject: [PATCH v3 8/8] Add pragmas to libdivide to make header check happy

---
 src/include/common/libdivide.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/include/common/libdivide.h b/src/include/common/libdivide.h
index 96dd272119..340f9a168f 100644
--- a/src/include/common/libdivide.h
+++ b/src/include/common/libdivide.h
@@ -1,3 +1,7 @@
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wdeclaration-after-statement"
+#undef __cplusplus
+
 // libdivide.h - Optimized integer division
 // https://libdivide.com
 //
-- 
2.40.1

